@echo off
cd..
echo  Q3:TrueCombat LAN Server Launcher
echo  Select a type of dedicated server you want to start:
echo ---------------------------
echo 1 - Internet TeamDeathmatch
echo 2 - Internet FreeForAll
echo 3 - Internet TeamSurvivor
echo 4 - Internet Survivor
echo ---------------------------
.\q3tc\Selector.exe
if errorlevel 1 if not errorlevel 2 goto TDM
if errorlevel 2 if not errorlevel 3 goto FFA 
if errorlevel 3 if not errorlevel 4 goto TS
if errorlevel 4 if not errorlevel 5 goto S
:TDM
quake3.exe +set dedicated 1 +set fs_game q3tc +set g_gametype 4 +exec q3tc_server.cfg
goto end
:FFA
quake3.exe +set dedicated 1 +set fs_game q3tc +set g_gametype 0 +exec q3tc_server.cfg
goto end
:TS
quake3.exe +set dedicated 1 +set fs_game q3tc +set g_gametype 6 +exec q3tc_server.cfg
goto end
:S
quake3.exe +set dedicated 1 +set fs_game q3tc +set g_gametype 3 +exec q3tc_server.cfg
:end
cd .\q3tc